org.apache.felix.ipojo.manipulator.reporter

## Class EmptyReporter

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.reporter.EmptyReporter

All Implemented Interfaces:
  Reporter

Direct Known Subclasses:
  SystemReporter

    public class EmptyReporter
    extends Object
    implements Reporter

An `EmptyReporter` is the basis implementation for Reporters. It is basically a no-op implementation.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`EmptyReporter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(String message, Object... args)` Add a message in the error list.
`List<String>` `getErrors()`
`protected Object[]` `getMessageArguments(Object... args)`
`protected Throwable` `getThrowable(Object... args)`
`List<String>` `getWarnings()`
`void` `info(String message, Object... args)` Add an informative message It accepts a `Throwable` as last argument.
`void` `trace(String message, Object... args)` Add aa trace message It accepts a `Throwable` as last argument.
`void` `warn(String message, Object... args)` Add a message in the warning list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyReporter

    public EmptyReporter()

### Method Detail

#### trace

    public void trace(String message,
                      Object... args)

Description copied from interface: `Reporter`
Add aa trace message It accepts a `Throwable` as last argument.

Specified by:
  `trace` in interface `Reporter`
Parameters:
  `message` - trace message.
  `args` - message's argument

#### info

    public void info(String message,
                     Object... args)

Description copied from interface: `Reporter`
Add an informative message It accepts a `Throwable` as last argument.

Specified by:
  `info` in interface `Reporter`
Parameters:
  `message` - info message.
  `args` - message's argument

#### warn

    public void warn(String message,
                     Object... args)

Description copied from interface: `Reporter`
Add a message in the warning list. It accepts a `Throwable` as last argument.

Specified by:
  `warn` in interface `Reporter`
Parameters:
  `message` - warning message.
  `args` - message's argument

#### error

    public void error(String message,
                      Object... args)

Description copied from interface: `Reporter`
Add a message in the error list. It accepts a `Throwable` as last argument.

Specified by:
  `error` in interface `Reporter`
Parameters:
  `message` - error message.
  `args` - message's argument

#### getErrors

    public List<String> getErrors()

Specified by:
  `getErrors` in interface `Reporter`
Returns:
  all the errors (fatal) reported by the manipulation process.

#### getWarnings

    public List<String> getWarnings()

Specified by:
  `getWarnings` in interface `Reporter`
Returns:
  all the warnings (non fatal) reported by the manipulation process.

#### getMessageArguments

    protected Object[] getMessageArguments(Object... args)

#### getThrowable

    protected Throwable getThrowable(Object... args)